# Sauvegarde d'une formation ThriveCart Learn

## Installer Python et Jupyter
Pour utiliser cet outil, tu as besoin de Jupyter Notebook.
Sur Windows, tu peux utiliser la plateforme Anaconda. Sur Mac, tu peux installer Python avec Homebrew. Sur Linux, tu sais déjà comment faire normalement.

Une fois que tu as Python et Jupyter Notebook de fonctionnel, crée toi un environnement 

Sur Windows

```
python -m venv c:\chemin-vers-ton-projet\backup-thrivecart-learn\venv
C:\chemin-vers-ton-projet\backup-thrivecart-learn\venv\Scripts\activate.bat
```

Sur Mac et Linux

```bash
python -m venv ./venv
source ./venv/bin/activate
```

Installe le contenu du requirements.txt

```bash
pip install -r requirements.txt
```

## Aller chercher les informations

Depuis un navigateur, va dans les outils de développeur (touche F12), puis connecte toi à ta formation avec un compte apprenant (inscris-toi à ta formation avec un code rabais de 100%, le compte "John Smith" ne fonctionne pas).

Tu devrais voir dans la section Réseau (Network en anglais) une page avec le nom de ta formation en haut de la liste. Clique dessus, et tu devrais voir les informations de la capture ci-dessous

![](informations.png)

## Remplir le Jupyter Notebook

Ensuite, complète les premières section du notebook

![parametres-notebook.png](parametres-notebook.png)

## Exécuter le Jupyter Notebook

Tu devrais pouvoir l'exécuter d'un seul coup

La sauvegarde va être dans le dossier html

